
From: Nick Piggin <piggin@cyberone.com.au>


OK, a new patch. Includes everyone's suggestions. If anyone wants to
be removed from the CC list please email me privately.



 25-akpm/Documentation/must-fix.txt   |   49 +++++++++--------------------------
 25-akpm/Documentation/should-fix.txt |   26 ++----------------
 2 files changed, 16 insertions(+), 59 deletions(-)

diff -puN Documentation/must-fix.txt~must-fix-update-01 Documentation/must-fix.txt
--- 25/Documentation/must-fix.txt~must-fix-update-01	Mon Oct 27 13:03:42 2003
+++ 25-akpm/Documentation/must-fix.txt	Mon Oct 27 13:03:42 2003
@@ -13,17 +13,11 @@ o TTY locking is broken.
 
   o somebody will have to document the tty driver and ldisc API
 
-o Lack of test cases and/or stress tests is a problem.  Contributions and
-  suggestions are sought.
-
-o Lots of drivers are using cli/sti and are broken.
-
 drivers/tty
 ~~~~~~~~~~~
 
-o viro: we need to fix refcounting for tty_driver (oopsable race, must fix
-  anyway, hopefully about a week until it's merged) then we can do
-  tty/misc/upper levels of sound.
+o viro: tty_driver refcounting, tty/misc/upper levels of sound still not
+  completely fixed.
 
 drivers/block/
 ~~~~~~~~~~~~~~
@@ -33,16 +27,6 @@ o ideraid hasn't been ported to 2.5 at a
   We need to understand whether the proposed BIO split code will suffice
   for this.
 
-o CD burning.  There are still a few quirks to solve wrt SG_IO and ide-cd.
-
-  Jens: The basic hang has been solved (double fault in ide-cd), there still
-  seems to be some cases that don't work too well.  Don't really have a
-  handle on those :/
-
-o lmb: Last time I looked at the multipath code (2.5.50 or so) it also
-  looked pretty broken; I plan to port forward the changes we did on 2.4
-  before KS.
-
 drivers/input/
 ~~~~~~~~~~~~~~
 
@@ -84,14 +68,6 @@ o viro: actually, misc.c has a good chan
 drivers/net/
 ~~~~~~~~~~~~
 
-o rmk: network drivers.  ARM people like to add tonnes of #ifdefs into
-  these to customise them to their hardware platform (eg, chip access
-  methods, addresses, etc.) I cope with this by not integrating them into my
-  tree.  The result is that many ARM platforms can't be built from even my
-  tree without extra patches.  This isn't sane, and has bred a culture of
-  network drivers not being submitted.  I don't see this changing for 2.6
-  though.
-
 drivers/net/irda/
 ~~~~~~~~~~~~~~~~~
 
@@ -176,6 +152,8 @@ o rmk: I have a pending todo: I need to 
 
 o James B: USB hot-removal crash: "It's a known scsi refcounting issue."
 
+o James B: refcounting issues in SCSI and in the block layer.
+
 fs/
 ~~~
 
@@ -333,11 +311,15 @@ o rmk: need to complete ALSA-ification o
 global
 ~~~~~~
 
-o 64-bit dev_t.  Seems almost ready, but it's not really known how much
-  work is still to do.  Patches exist in -mm but with the recent rise of the
-  neo-viro I'm not sure where things are at.
+o alan, Albert Cahalan: 1000 HZ timer increases the need for a stable time
+  source. Many laptops, SMI can lose ticks. ACPI timers? TSC?
+
+o viro: 64-bit dev_t (not a mustfix for 2.6.0). 32-bit dev_t is done, 64-bit
+  means extra work on nfsd/raid/etc.
 
-o Lots of 2.4 fixes including some security are not in 2.5
+o alan: Forward port 2.4 fixes
+  - Security fixes including execve holes, execve vs proc races
+  - SiS IRQ routing for newer SiS and older Intel
 
 o There are about 60 or 70 security related checks that need doing
   (copy_user etc) from Stanford tools.  (badari is looking into this, and
@@ -345,10 +327,5 @@ o There are about 60 or 70 security rela
 
 o A couple of hundred real looking bugzilla bugs
 
-o viro: cdev rework.  Main group is pretty stable and I hope to feed it to
-  Linus RSN.  That's cdev-cidr and ->i_cdev/->i_cindex stuff
-
-o Athlon prefetch oopses sometimes.  It is currently disabled, and needs to
-  be fixed.
-
+o viro: cdev rework. Mostly done.
 
diff -puN Documentation/should-fix.txt~must-fix-update-01 Documentation/should-fix.txt
--- 25/Documentation/should-fix.txt~must-fix-update-01	Mon Oct 27 13:03:42 2003
+++ 25-akpm/Documentation/should-fix.txt	Mon Oct 27 13:03:42 2003
@@ -10,13 +10,8 @@ PRI3:	Not very important
 drivers/block/
 ~~~~~~~~~~~~~~
 
-o Framework for selecting IO schedulers.  This is the main one really. 
-  Once this is in place we can drop in new schedulers any old time, no risk.
-  Nick Piggin has code for this.
-
-  PRI1
-
-o viro: paride drivers need a big cleanup
+o viro: paride drivers need a big cleanup. Partially done, but ATAPI drivers
+  need serious work and bug fixing.
 
   PRI2
 
@@ -145,15 +140,7 @@ o (Trond:) Yes: I'm still working on an 
 
    PRI2 (?)
 
-o (Chuck Lever <cel@citi.umich.edu>): NFS O_DIRECT support must be
-  completed.  The best approach is to fall back to something like the 2.4 NFS
-  O_DIRECT support, which issues RPCs synchronously and uses the RPC
-  completion mechanism to wait for I/O completion.
-
-  PRI2
-
-o viro: cleaning up options-parsers in filesystems.  (patch exists, needs
-  porting).
+o viro: convert more filesystems to use lib/parser.c for options.
 
   PRI2
 
@@ -200,9 +187,6 @@ o klibc merge?
 mm/
 ~~~
 
-o objrmap: concerns over page reclaim performance at high sharing levels,
-  and interoperation with nonlinear mappings is hairy.
-
 o oxymoron's async write-error-handling patch
 
   PRI1
@@ -514,10 +498,6 @@ o NMI watchdog seems to tick too fast
 
   PRI2
 
-o not very well tested. probably more bugs lurking.
-
-  PRI1
-
 o need to coredump 64bit vsyscall code with dwarf2
 
   PRI2

_
